<template>
  <div>
    <h1>{{ titulo }}</h1>
    <h2>{{subtitulo}}</h2>
    <br>
    <input type="text" @keyup="consultar_usuario" />
    <br>
    <br>
    <input type="number" placeholder="numero 1" v-model="numero_1" />
    <br>
    <br>
    <input type="number" placeholder="numero 2" v-model="numero_2" />
    <br>
    <br>
    <button @click="sumar">Sumar</button>
    <button @click="restar(numero_1, numero_2)">Restar</button>
    <button @click="seno">Seno &nbsp; (numero_2)</button>
    <button @click="getRandom">Generar números</button>
    <button @click="dividir">Dividir</button>
    <br>
    <br>
    <span>Resultado: {{resultado}}</span>
  </div>
</template>

<script>
export default {
  data: () => {
    return {
      titulo: "Calculadora",
      subtitulo: 'Ejercicio',
      numero_1: null,
      numero_2: null,
      resultado: ''
    }
  },
  methods: {
    sumar(){
        console.log("Concatena: ", (this.numero_1+this.numero_2));
        this.resultado = parseFloat(this.numero_1) + parseFloat(this.numero_2)
    },
    restar(n1, n2){
        this.resultado = parseFloat(n1) - parseFloat(n2);
    },
    seno(){
        this.resultado = Math.sin(parseFloat(this.numero_2));
    },
    getRandom(){
        this.numero_1 = Math.random() * 100;
        this.numero_2 = Math.random() * 100;
    },
    dividir(){
        if(parseFloat(this.numero_2) != 0){
            this.resultado = parseFloat(this.numero_1) / parseFloat(this.numero_2);
        }else{
            alert("Ingrese datos válidos")
        }
    },
    consultar_usuario(){
        console.log("validando usuario...");
    }
  },

  created: ()=>{
      console.log("Componente calculadora creado");
  }
};
</script>

<style>
button{
    margin: 1rem;
}
</style>